Bug 207059 - math/pdal: Update to 1.1.0
Summary: math/pdal: Update to 1.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Raphael Kubo da Costa
URL: https://wiki.freebsd.org/BoostPorting...
Keywords: patch-ready
Depends on:
Blocks: 199601
  Show dependency treegraph
 
Reported: 2016-02-09 14:57 UTC by Dmitry Marakasov
Modified: 2016-11-14 01:48 UTC (History)
3 users (show)

See Also:
rakuco: maintainer-feedback+


Attachments
Update pdal to 1.1.0 (26.51 KB, patch)
2016-03-05 18:27 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff
Patch v2 (16.10 KB, patch)
2016-03-24 23:04 UTC, Raphael Kubo da Costa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2016-02-09 14:57:26 UTC
pdal version 1.1.0 is available, the port should be updated. This is also needed because old version doesn't support upcoming boost 1.60 (though it may be mitigated by switching to embedded boost, it may cause conflicts for consumers).
Comment 2 Loïc Bartoletti 2016-03-05 18:27:33 UTC
Created attachment 167742 [details]
Update pdal to 1.1.0
Comment 3 Loïc Bartoletti 2016-03-05 18:27:56 UTC
Hello,

Can you check if it's ok with this patch?

Thanks.
Comment 4 Kurt Jaeger freebsd_committer 2016-03-06 18:18:45 UTC
Testbuild on 9.3a fails, see

http://people.freebsd.org/~pi/logs/math__pdal-93a-1457284628.txt

11a, 10.2a look fine, 10.2i still running.
Comment 5 Raphael Kubo da Costa freebsd_committer 2016-03-13 12:13:11 UTC
9.3 is failing because the port uses headers not present in base's libstdc++. Try USES=compiler:c++11-lib instead.

While here, I think files/patch-apps_CMakeLists.txt can be replaced by USES=pathfix.
Comment 6 Kurt Jaeger freebsd_committer 2016-03-13 14:37:26 UTC
I tried to build it on 9.3a with your suggested changes, fails to build in poudriere, see

http://people.freebsd.org/~pi/logs/math__pdal-93a

Any ideas ?
Comment 7 Raphael Kubo da Costa freebsd_committer 2016-03-23 12:07:51 UTC
(In reply to Kurt Jaeger from comment #6)
> I tried to build it on 9.3a with your suggested changes, fails to build in
> poudriere, see
> 
> http://people.freebsd.org/~pi/logs/math__pdal-93a
> 
> Any ideas ?

This looks like yet another case of bug 193528. This should fix it:

# Unhide std::to_string() to fix build with GCC (see ports/193528 for details)
CXXFLAGS+=        -D_GLIBCXX_USE_C99
Comment 8 Kurt Jaeger freebsd_committer 2016-03-23 18:22:15 UTC
Thanks, testbuild@work
Comment 9 Kurt Jaeger freebsd_committer 2016-03-24 17:14:50 UTC
(In reply to Raphael Kubo da Costa from comment #7)
I tried it, fails for 9.3a again.

See http://people.freebsd.org/~pi/logs/math__pdal-93a-v2

But this time it looks like a type mismatch.
Comment 10 Raphael Kubo da Costa freebsd_committer 2016-03-24 23:04:30 UTC
Created attachment 168587 [details]
Patch v2

OK, I've finally taken some time to investigate this and the attached patch builds on HEAD-amd64 and 9.3-i386.

* Use USES=cmake:outsource instead of USES=cmake. Out-of-source builds are cleaner and showed that several build directories had been added to the package and the plist.
* Implemented my suggestions (USES=compiler:c++11-lib and USES=pathfix).
* Those many patches commenting out the portable_endian.hpp were just working around the fact that portable_endian.hpp was broken and needed to be fixed (the #defines translating FreeBSD functions into Linux ones were inverted).
* The PointViewTest.cpp patch was also working around a problem in the embedded gtest, that was lacking a platform definition for FreeBSD.
* The nanoflann.hpp patch only needs the cstdlib include, the rest is not necessary.

Kurt and coder@tuxfamily.org, please take a look at this new patch and let me know if it's OK for you.
Comment 11 Kurt Jaeger freebsd_committer 2016-03-25 01:06:18 UTC
testbuilds@work
Comment 12 Kurt Jaeger freebsd_committer 2016-03-25 08:10:47 UTC
Testbuilds are all fine
Comment 13 Raphael Kubo da Costa freebsd_committer 2016-03-28 18:56:03 UTC
I'll go ahead and commit my version of the update patch. Kurt and I have both verified it works.
Comment 14 commit-hook freebsd_committer 2016-03-28 19:22:08 UTC
A commit references this bug:

Author: rakuco
Date: Mon Mar 28 19:21:18 UTC 2016
New revision: 412068
URL: https://svnweb.freebsd.org/changeset/ports/412068

Log:
  Update to 1.1.0.

  Includes compatibility with the upcoming Boost 1.60. Original patch from the
  maintainer himself, and additional adjustments by me. Also thanks to pi@ for
  helping test-build the update.

  PR:		207059
  Submitted by:	coder@tuxfamily.org (maintainer, first version)
  Approved by:	coder@tuxfamily.org (maintainer)

Changes:
  head/math/pdal/Makefile
  head/math/pdal/distinfo
  head/math/pdal/files/patch-git_080e614
  head/math/pdal/files/patch-git_3c7e997
  head/math/pdal/files/patch-git_5a0b123
  head/math/pdal/files/patch-git_c8a1f88
  head/math/pdal/files/patch-src-Utils.cpp
  head/math/pdal/files/patch-src_PluginManager.cpp
  head/math/pdal/files/patch-vendor_gtest-1.7.0_include_gtest_internal_gtest-port.h
  head/math/pdal/pkg-plist
Comment 15 Raphael Kubo da Costa freebsd_committer 2016-03-28 19:22:40 UTC
Thanks everyone!